:root {
    --color-main: #2e3092;
    --color-second: #333581;
    --color-third: #c0c0c0;
    --color-fifth: #808080;
    --color-forth: #626161;
    --color-font: #3b3a3a;
    --color-font-main: #22272f;
    --color-font-second: #9A9A9A;
    --back-second: #f6f6f6;
}
.text-orange{
    color: #bc6c25;
}
.main-color {
    color: var(--color-main);
}

.second-color {
    color: var(--color-second);
}

.third-color {
    color: var(--color-third);
}

.forth-color {
    color: var(--color-forth);
}

.font-color {
    color: var(--color-font-main);
}

.back-color {
    background-color: var(--back-second);
}


@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 900;
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Black.eot');
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Black.eot?#iefix') format('embedded-opentype'), /* IE6-8 */ url('../fonts/woff2/IRANSansWeb(FaNum)_Black.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/ url('../fonts/woff/IRANSansWeb(FaNum)_Black.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/ url('../fonts/ttf/IRANSansWeb(FaNum)_Black.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: bold;
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Bold.eot');
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Bold.eot?#iefix') format('embedded-opentype'), /* IE6-8 */ url('../fonts/woff2/IRANSansWeb(FaNum)_Bold.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/ url('../fonts/woff/IRANSansWeb(FaNum)_Bold.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/ url('../fonts/ttf/IRANSansWeb(FaNum)_Bold.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Medium.eot');
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Medium.eot?#iefix') format('embedded-opentype'), /* IE6-8 */ url('../fonts/woff2/IRANSansWeb(FaNum)_Medium.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/ url('../fonts/woff/IRANSansWeb(FaNum)_Medium.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/ url('../fonts/ttf/IRANSansWeb(FaNum)_Medium.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Light.eot');
    src: url('../fonts/eot/IRANSansWeb(FaNum)_Light.eot?#iefix') format('embedded-opentype'), /* IE6-8 */ url('../fonts/woff2/IRANSansWeb(FaNum)_Light.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/ url('../fonts/woff/IRANSansWeb(FaNum)_Light.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/ url('../fonts/ttf/IRANSansWeb(FaNum)_Light.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: 200;
    src: url('../fonts/eot/IRANSansWeb(FaNum)_UltraLight.eot');
    src: url('../fonts/eot/IRANSansWeb(FaNum)_UltraLight.eot?#iefix') format('embedded-opentype'), /* IE6-8 */ url('../fonts/woff2/IRANSansWeb(FaNum)_UltraLight.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/ url('../fonts/woff/IRANSansWeb(FaNum)_UltraLight.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/ url('../fonts/ttf/IRANSansWeb(FaNum)_UltraLight.ttf') format('truetype');
}

@font-face {
    font-family: IRANSans;
    font-style: normal;
    font-weight: normal;
    src: url('../fonts/eot/IRANSansWeb(FaNum).eot');
    src: url('../fonts/eot/IRANSansWeb(FaNum).eot?#iefix') format('embedded-opentype'), /* IE6-8 */ url('../fonts/woff2/IRANSansWeb(FaNum).woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/ url('../fonts/woff/IRANSansWeb(FaNum).woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/ url('../fonts/ttf/IRANSansWeb(FaNum).ttf') format('truetype');
}

@font-face {
    font-display: block;
    font-family: IRANYekan;
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/iranYekan/iran-yekan-400.eot');
    src: url('../fonts/iranYekan/iran-yekan-400.eot') format('embedded-opentype'), url('../fonts/iranYekan/iran-yekan-400.woff2') format('woff2'), url('../fonts/iranYekan/iran-yekan-400.woff') format('woff'), url('../fonts/iranYekan/iran-yekan-400.ttf') format('truetype')
}

@font-face {
    font-display: block;
    font-family: IRANYekan;
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/iranYekan/iran-yekan-500.eot');
    src: url('../fonts/iranYekan/iran-yekan-500.eot') format('embedded-opentype'), url('../fonts/iranYekan/iran-yekan-500.woff2') format('woff2'), url('../fonts/iranYekan/iran-yekan-500.woff') format('woff'), url('../fonts/iranYekan/iran-yekan-500.ttf') format('truetype')
}

@font-face {
    font-display: block;
    font-family: IRANYekan;
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/iranYekan/iran-yekan-700.eot');
    src: url('../fonts/iranYekan/iran-yekan-700.eot') format('embedded-opentype'), url('../fonts/iranYekan/iran-yekan-700.woff2') format('woff2'), url('../fonts/iranYekan/iran-yekan-700.woff') format('woff'), url('../fonts/iranYekan/iran-yekan-700.ttf') format('truetype')
}

html, body, p, section, td, div, a, button {
    font-family: IRANSans;
}

h1, h2, h3, h4, h5, h6 {
    font-family: IRANYekan;
    font-weight: bold;
}

body {
    background-color: white;
    color: var(--color-font-main);
}

a {
    color: var(--color-main)
}

#header .topBar {
    padding: 8px 0;
    background-color: var(--back-second);
}

#header .topBar .float-start span:not(:last-child) {
    margin-left: 10px;
    margin-right: 20px;
}

#header a {
    color: var(--color-main);
    text-decoration: none;
}

div#header img.w-100 {
    min-height: 45px;
    object-fit: cover;
}

#searchBox {
    max-width: 250px;
}

.mobileBox {
    display: none;
}

.slider_home.slick-initialized.slick-slider img {
    object-fit: cover;
}

#icons span:hover {
    background-color: var(--color-second);
}

#icons span:hover .fa-solid {
    color: white;
}

.fa-user-check {
    color: var(--color-third);
}

#icons span.check:hover {
    background-color: var(--color-third);
}

/***  MENU  ****/
#menu ul li {
    position: relative;
    display: inline-block;
}

#menu ul li a {
    padding: 8px 14px;
    font-size: 18px;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--color-font-main);
}


#menu ul li a:hover i {
    color: var(--color-main);
}

#menu ul li a:hover {
    background: rgba(255, 255, 255, 0.1);
    color: rgba(0, 35, 122, 0.7);
}

#menu ul li.active {
    border-radius: 10px;
    box-shadow: 0px 0px 1px gray;
}
#menu ul li.active a {
    color: var(--color-main);
}

#menu [id^=span_ic_], #menu [id^=child_ul_] {
    display: none;
}

#menu .cat_list_header {
    display: none;
}

.middleBar img {
    height: auto;
    width: 100%;
    max-width: 300px;
    max-height: 100px;
}

li.lastMenu span {
    min-width: 70px;
}

.middleBar img {
    transition: all .5s ease-in-out;
    transform: scale(1);
}

.autoMenu {
    background-color: white;
    position: fixed;
    top: -8px;
    right: 0;
    left: 0;
    width: 100%;
    height: 60px;
    z-index: 1030;
}

.autoMenu #logoBar {
    height: 60px;
    align-items: center !important;
}
div#logoBar img {
    max-height: 90px;
}
.autoMenu img {
    transition: all .6s ease-in-out;
    transform: scale(0.5);
}

.scrolled-down {
    transform: translateY(-100%);
    transition: all 0.3s ease-in-out;
}

.scrolled-up {
    transform: translateY(0);
    transition: all 0.3s ease-in-out;
}

@media screen and (min-width: 850px) {
    #menu a {
        white-space: nowrap;
    }

    #menu ul {
        position: relative;
    }

    #menu .cat_list_ul #parent:hover > ul {
        display: block;
        visibility: visible;
        opacity: 1;
        top: 100%;
    }

    #menu [id^=child_ul_], #menu [id^=child_ul_] ul {
        visibility: hidden;
        position: absolute;
        display: block;
        top: 400%;
        opacity: 0;
        -moz-transition: all 0.3s;
        -webkit-transition: opacity 0.3s, top 0.3s, right 0.3s;
        -o-transition: opacity 0.3s, top 0.3s, right 0.3s, visibility 0.3s;
        transition: opacity 0.3s, top 0.3s, right 0.3s;
        background-color: white;
        border-radius: 0 4px 4px 4px;
        -moz-border-radius: 0 4px 4px 4px;
        -webkit-border-radius: 0;
        -webkit-border-top-right-radius: 4px;
        -webkit-border-bottom-right-radius: 4px;
        -webkit-border-bottom-left-radius: 4px;
        padding: 0 4px 4px;
        z-index: 2;
    }

    #menu .fa-angle-left {
        margin-top: 4px;
        position: absolute;
        left: 4px;
    }

    #menu li.lastMenu {
        display: block !important;
        text-align: right;
        position: relative;
    }

    #menu li.lastMenu ul {
        position: absolute;
        right: 0;
        top: 0 !important;
    }

    #menu li.lastMenu:hover > ul {
        right: 100%;
        visibility: visible;
        opacity: 1;
    }

    li.lastMenu .lastMenu a {
        font-size: 16px !important;
    }
}

@media screen and (max-width: 849px) {
    #menu.topnav {
        display: none;
    }

    #logoBar {
        align-items: center !important;
        flex-direction: row-reverse;
    }

    .mobileBox {
        display: block;
    }

    #menu.responsive {
        /*width: 100%;
        height: 100%;*/
        z-index: 1000;
        display: block;
        position: fixed;
        top: 0;
        right: 0;
    }

    #menu.responsive .fa-angle-left {
        display: none;
    }

    #menu.responsive .cat_list_header {
        display: block;
    }

    #menu.responsive [id^=span_ic_], #menu.responsive [id^=child_ul_] {
        display: block;
    }

    #menu.responsive #cat_list {
        background: #ebebeb;
        height: 100vh;
        width: 80%;
        margin: 0px !important;
        padding: 0px !important;
        overflow: auto;
        float: right;
    }

    #menu.responsive #back_cat_list {
        background: whitesmoke;
        height: 100vh;
        width: 20%;
        opacity: 0.5;
        cursor: pointer;
        float: left;
    }

    #menu.responsive .cat_list_ul {
        padding-right: 0px !important;
        margin-top: 20px;
        margin-bottom: 20px;
        text-align: right;
        background: unset;
        box-shadow: none;
    }

    #menu.responsive .cat_list_ul li span {
        padding-right: 15px;
    }

    #menu.responsive .cat_list_ul li {
        display: block;
        list-style: none;
        padding: 15px 15px 15px 0;
        cursor: pointer;
        color: var(--color-main);
    }

    #menu.responsive .cat_list_ul li ul {
        width: 100%;
        background: #ededed;
        margin-top: 5px;
        margin-bottom: 5px;
        display: none;
        padding-right: 0 !important;
        text-align: right;
        background: unset;
        box-shadow: none;
    }

    #menu.responsive .cat_list_ul .cat_angle {
        float: left;
        padding-left: 15px;
        font-size: 20px;
    }

    #menu.responsive ul li a {
        display: initial;
        color: #075716;
        text-shadow: 0 0 2px #ffffff;
        font-weight: bold;
    }

    #menu.responsive ul li:hover a {
        box-shadow: unset;
        background: unset;
        color: var(--color-forth);
    }

    #menu.responsive ul li a:hover {
        font-weight: bold;
    }

    #menu.responsive ul li:hover {
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1), inset 0 0 1px rgba(255, 255, 255, 0.6);
        background: rgba(255, 255, 255, 0.1);
        color: var(--color-forth);
    }

    #menu.responsive .cat_list_header {
        background-color: var(--color-second);
        height: 80px;
        line-height: 80px;
        text-align: center;
        color: white;
        font-size: 18px;
    }

    #menu.responsive #header_ul {
        font-size: 16px;
    }

    #menu.responsive #header_ul li:first-child {
        font-size: 24px;
        margin-right: 1em;
    }

    #menu.responsive #header_ul li:first-child:hover {
        color: #02577f;
    }

    #menu.responsive li.lastMenu a {
        padding: 0;
    }

    #menu.responsive .lastMenu span {
        display: block;
    }

    #menu.responsive li.lastMenu {
        margin-right: 15px;
        padding: 10px 15px 8px 0;
    }
}

/***  //MENU  ****/
.parallax {
    background-position: top center;
    background-attachment: fixed;
    background-size: cover;
}
.footer a{
    color: white;
}
.footer .copyRight {
    background-color: #2e3192;
    text-align: center;
    padding: 1em 0;
    color: white;
}

.cart-box .orderCount span {
    top: 15px;
    text-shadow: 1px 1px black;
}

#search_result {
    display: none;
}

.search {
    width: calc(100% - 150px);
    max-width: 500px;
}

.search input {
    height: 45px;
}

#search_result {
    display: none;
    background-color: white;
    position: absolute;
    border: 1px solid #ccd0d2;
    border-top: 3px solid white;
    width: calc(100% - 3px);
    margin-right: 2px;
    margin-top: -1px;
    z-index: 99;
}

#search_result a.result_box {
    font-size: inherit;
    display: inline-table;
    border-bottom: 1px solid #e3e3e3;
    width: 100%;
    padding-bottom: 5px;
    padding-top: 5px;
}

#search_result .result_box img {
    float: right;
    max-height: 50px;
    margin: auto;
}

#search_result .product .img {
    min-width: 95px;
    float: right;
    display: grid;
}

#search_result .result {
    padding: 5px;
    max-height: calc(100vh - 140px);
    overflow-y: auto;
}

#scrollbar1::-webkit-scrollbar {
    overflow: auto;
    width: 16px;
}

#scrollbar1::-webkit-scrollbar-track {
    border-radius: 8px;
    background-color: #e7e7e7;
    border: 1px solid #cacaca;
}

#scrollbar1::-webkit-scrollbar-thumb {
    border-radius: 8px;
    border: 3px solid transparent;
    background-clip: content-box;
    background-color: purple;
}


#search_result .result > span {
    background-color: #f4f4f4;
    width: 100%;
    display: block;
    margin-bottom: 5px;
    padding: 2px 6px;
}

#search_result .more {
    display: block;
    text-align: center;
    background-color: aliceblue;
}

#search_result a.result_box .product {
    line-height: 2em;
    clear: right;
}

.swal2-popup.swal2-modal .swal2-html-container input {
    margin: 20px 0 2px 0;
    max-width: 100%;
}

.description img {
    max-width: 100%;
}

.support-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    z-index: 9999;
    background-color: var(--color-main);
    border-radius: 50%;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: #fff;
    font-size: 24px;
    transition: transform 0.3s;
}

.support-button:hover {
    transform: scale(1.1);
}

.support-info {
    position: fixed;
    bottom: 80px;
    right: 20px;
    width: 250px;
    z-index: 9999;
    background-color: #f1f1f1;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
    transform: scaleY(0);
    transform-origin: bottom;
    transition: transform 0.3s ease;
    opacity: 0;
}

.support-info.open {
    transform: scaleY(1);
    opacity: 1;
}

.support-info h3 {
    margin-top: 0;
    font-size: 18px;
    color: #007bff;
}

.support-info p {
    margin: 5px 0;
}
.object-fit-none{
    object-fit: none;
}
